Bug 1422651 - UI: Service catalog ordering - spinner disappearing too soon, not in sync with page load
Summary: UI: Service catalog ordering - spinner disappearing too soon, not in sync wit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.7.2
Assignee: Martin Hradil
QA Contact: Shveta
URL:
Whiteboard: service:catalog:spinner
Depends On: 1420314
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 18:45 UTC by Satoe Imaishi
Modified: 2017-04-12 14:38 UTC (History)
6 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1420314
Environment:
Last Closed: 2017-04-12 14:38:03 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-08 19:40:53 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a8f1c1b6be6134b4f89ef38669c7065a52d1ee00

commit a8f1c1b6be6134b4f89ef38669c7065a52d1ee00
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Feb 9 13:10:16 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 8 14:34:52 2017 -0500

    Merge pull request #325 from himdel/flash-before-redirect-bz1420314
    
    x_dialog_buttons - call miqAjaxButton with complete:false
    (cherry picked from commit 0548dca8d1875af80c761531b862f0b07be4f933)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422651

 app/views/layouts/_x_dialog_buttons.html.haml | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Comment 3 CFME Bot 2017-03-08 19:40:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/ef0c0b93b2e82638369daf444668fa8f95c1eb57

commit ef0c0b93b2e82638369daf444668fa8f95c1eb57
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Sat Mar 4 20:18:42 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 8 14:35:28 2017 -0500

    Merge pull request #478 from himdel/dialog-spinner
    
    Fix spinner issues in Dialog Runner
    (cherry picked from commit fa703077bfcf0f97be3325f3d33936ef0b2aa81e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422651

 app/controllers/application_controller/dialog_runner.rb      | 12 ++++--------
 .../controllers/application_controller/dialog_runner_spec.rb |  4 ++--
 2 files changed, 6 insertions(+), 10 deletions(-)

Comment 4 Shveta 2017-04-03 16:40:56 UTC
Fixed in 5.7.2.0.20170321181409_349f1b1

Comment 6 errata-xmlrpc 2017-04-12 14:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.